/*
 * matutil.h
 */

#ifndef MATUTIL
#define MATUTIL

#include <stdio.h>
#include <stdlib.h>

#ifndef SCALAR
#define SCALAR double
#endif

typedef SCALAR *vector, **matrix;

vector newvec(int);
matrix newmat(int, int);
vector new_vector(int);
matrix new_matrix(int, int);
void free_vector(vector);
void free_matrix(matrix);
double innerproduct(int, vector, vector);
void vecprint(vector, int, int, char *);
void matprint(matrix, int, int, char *);
#endif
